# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`kdump`](#kdump): == Class: kdump  Full description of class kdump here.  === Parameters  [*package_name*]   String.  Package name that provides kdump.   Defau
* [`kdump::params`](#kdumpparams): == Class: kdump::params  The kdump configuration settings.  === Variables  === Authors  Trey Dockendorf <treydock@gmail.com>  === Copyright  

## Classes

### kdump

== Class: kdump

Full description of class kdump here.

=== Parameters

[*package_name*]
  String.  Package name that provides kdump.
  Default: OS dependent

[*service_name*]
  String.  Service name for kdump.
  Default: OS dependent

[*service_ensure*]
  The service ensure property for kdump.
  Default: 'running'

[*service_enable*]
  The service enable property for kdump.
  Default: true

[*service_hasstatus*]
  The service hasstatus property for kdump.
  Default: OS dependent

[*service_hasrestart*]
  The service hasrestart property for kdump.
  Default: OS dependent

[*service_autorestart*]
  Boolean.  This parameter defines if the kdump service
  Should be restarted when the configuration file changes.
  Default: true

[*config_path*]
  The configuration file path for kdump.
  Default: OS dependent

[*kernel_parameter_provider*]
  The provider property for the kernel_parameter defined type.
  Default: OS dependent

=== Variables

=== Examples

 Use default actions of ensuring kdump is running

 class { 'kdump': }

 Example of how to disable kdump

 class { 'kdump':
   service_ensure => 'stopped',
   service_enable => false,
 }

=== Authors

Trey Dockendorf <treydock@gmail.com>

=== Copyright

Copyright 2013 Trey Dockendorf

#### Parameters

The following parameters are available in the `kdump` class.

##### `enable`

Data type: `Boolean`



Default value: `false`

##### `crashkernel`

Data type: `String`



Default value: 'auto'

##### `crashkernel_bootmode`

Data type: `String`



Default value: 'all'

##### `bootloader_config_path`

Data type: `Optional[Stdlib::AbsolutePath]`



Default value: `undef`

##### `package_name`

Data type: `String`



Default value: $kdump::params::package_name

##### `service_name`

Data type: `String`



Default value: $kdump::params::service_name

##### `service_ensure`

Data type: `Optional[String]`



Default value: `undef`

##### `service_enable`

Data type: `Optional[Boolean]`



Default value: `undef`

##### `service_hasstatus`

Data type: `Boolean`



Default value: $kdump::params::service_hasstatus

##### `service_hasrestart`

Data type: `Boolean`



Default value: $kdump::params::service_hasrestart

##### `config_path`

Data type: `Stdlib::AbsolutePath`



Default value: $kdump::params::config_path

##### `config_overrides`

Data type: `Hash`



Default value: {}

##### `kernel_parameter_provider`

Data type: `String`



Default value: $kdump::params::kernel_parameter_provider

### kdump::params

== Class: kdump::params

The kdump configuration settings.

=== Variables

=== Authors

Trey Dockendorf <treydock@gmail.com>

=== Copyright

Copyright 2013 Trey Dockendorf

